Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	xfce4-cddrive-plugin puts a button to control a CD-ROM drive to XFCE 
Name:		xfce4-cddrive-plugin
Version:	0.0.1
Release:	2
License:	GNU/GPL
URL:		http://xfce-goodies.berlios.de
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: exo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libcdio-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: pango-devel
BuildRequires: xfce4-panel-devel
BuildRequires: zlib-devel

%description
xfce4-cddrive-plugin puts a button in the XFCE panel which allow to open
or close a CD-ROM drive tray.
Additionally, the button icon reports the content of the drive.
The icon indicates if there is a disc in the drive, if it is mounted,
and the type of the disc (regular CD-ROM, audio or DVD).
You can also mount or unmount the disc via the plugin's menu (the action appears
when a disc is in the drive).

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libexecdir/xfce4/panel-plugins/xfce4-cddrive-plugin
%_datadir/locale/*/LC_MESSAGES/xfce4-cddrive-plugin.mo
%_datadir/xfce4/panel-plugins/cddrive.desktop

%changelog
* Tue Mar 17 2009 Christian Wasem <wasem@ccux-linux.de> 0.0.1-2
- rebuild Against XFCE 4.6.0
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.0.1-1
- Initial Release
